LAT_FCNTL(8)

NAME
lat_fcntl - measure fctl() locking latencies

SYNOPSIS
lat_fcntl

DESCRIPTION
lat_fcntl uses two processes and alternately locks and unlocks files so that only one of the processes is running at a time, similar to ``hot potato'' message passing benchmarks. No other work is done in the processes.

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is included. Output format is like so

AF_UNIX sock stream latency: 491 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), fcntl(2).